listaddress

Lists all the addresses in the current wallet.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Before you can invoke this method, wallet must be open first.

Parameters

None

Result

A list of all the addresses in the current wallet.

Result Fields

KeyTypeDetail
addressStringThe address in the wallet.
haskeyBooleanWhether there is a private key for the address.
labelStringAddress label, null if there is no label.
watchonlyBooleanIndicates whether it is a watch only address.

Example

Request

curl <your-endpoint> \
   -X POST \
   -H "Content-Type: application/json" \
   -d '{"jsonrpc": "2.0","method": "listaddress","params": [],"id": 1}'

Return

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": [
        {
            "address": "NSk8xEBm3FNAFDueUf21cMugkWidJn5N1n",
            "haskey": true,
            "label": null,
            "watchonly": false
        },
        {
            "address": "NUkaNyPbML2QYfxK99WqZYpR8rR4CyUoth",
            "haskey": true,
            "label": null,
            "watchonly": false
        },
        {
            "address": "NbEsLzt9J1eMw5mbuStYBSwMfPBuWDx9DL",
            "haskey": true,
            "label": null,
            "watchonly": false
        }
    ]
}
Path Params
string
required
Defaults to f98d19a38a6b437ea6c77b8e68e59119
Body Params
string
Defaults to {"jsonrpc": "2.0","id": 1,"method": "sendmany","params": ["NSk8xEBm3FNAFDueUf21cMugkWidJn5N1n",[{"asset": "0xd2a4cff31913016155e38e474a2c06d08be276cf","value": 100,"address": "NUkaNyPbML2QYfxK99WqZYpR8rR4CyUoth"},{"asset": "0xd2a4cff31913016155e38e474a2c06d08be276cf","value": 200,"address": "NbEsLzt9J1eMw5mbuStYBSwMfPBuWDx9DL"}]]}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json